## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
%bcond_without check
%global debug_package %{nil}

%global crate env_logger

Name:           rust-%{crate}
Version:        0.9.0
Release:        %autorelease
Summary:        Logging implementation configured via an environment variable

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/env_logger
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Logging implementation for `log` which is configured via an environment
variable.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+atty-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+atty-devel %{_description}

This package contains library source intended for building other packages
which use "atty" feature of "%{crate}" crate.

%files       -n %{name}+atty-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+humantime-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+humantime-devel %{_description}

This package contains library source intended for building other packages
which use "humantime" feature of "%{crate}" crate.

%files       -n %{name}+humantime-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+regex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-devel %{_description}

This package contains library source intended for building other packages
which use "regex" feature of "%{crate}" crate.

%files       -n %{name}+regex-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+termcolor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+termcolor-devel %{_description}

This package contains library source intended for building other packages
which use "termcolor" feature of "%{crate}" crate.

%files       -n %{name}+termcolor-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Nov 11 2021 Fabio Valentini <decathorpe@gmail.com> 0.9.0-1
- Update to version 0.9.0; Fixes RHBZ#1982310

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.4-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 18 2021 Fabio Valentini <decathorpe@gmail.com> - 0.8.4-1
- Update to version 0.8.4.
- Fixes RHBZ#1970813

* Sun Feb 14 2021 Fabio Valentini <decathorpe@gmail.com> - 0.8.3-1
- Update to version 0.8.3.
- Fixes RHBZ#1927897

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Nov 19 2020 Fabio Valentini <decathorpe@gmail.com> - 0.8.2-1
- Update to version 0.8.2.
- Fixes RHBZ#1899165

* Mon Nov 09 2020 Fabio Valentini <decathorpe@gmail.com> - 0.8.1-1
- Update to version 0.8.1.
- Fixes RHBZ#1889010

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Oct 20 2019 Robert Fairley <rfairley@redhat.com> - 0.7.1-1
- Update to 0.7.1

* Sun Aug 18 16:13:12 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.2-1
- Update to 0.6.2

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 20 00:12:56 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.1-2
- Regenerate

* Thu Mar 07 2019 Josh Stone <jistone@redhat.com> - 0.6.1-1
- Update to 0.6.1

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 14 2019 Josh Stone <jistone@redhat.com> - 0.6.0-1
- Update to 0.6.0

* Tue Oct 30 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.13-2
- Adapt to new packaging

* Thu Aug 30 2018 Josh Stone <jistone@redhat.com> - 0.5.13-1
- Update to 0.5.13

* Sat Aug 04 2018 Josh Stone <jistone@redhat.com> - 0.5.12-1
- Update to 0.5.12

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.11-3
- Rebuild to run tests

* Tue Jul 24 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.11-2
- Rebuild

* Tue Jul 24 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.11-1
- Update to 0.5.11

* Thu Jul 19 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.10-3
- Bump termcolor to 1

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun May 06 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.10-1
- Update to 0.5.10

* Sun Apr 22 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.9-1
- Update to 0.5.9

* Wed Apr 18 2018 Josh Stone <jistone@redhat.com> - 0.5.8-1
- Update to 0.5.8

* Fri Apr 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.7-1
- Update to 0.5.7

* Thu Mar 22 2018 Josh Stone <jistone@redhat.com> - 0.5.6-1
- Update to 0.5.6

* Fri Mar 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.5-1
- Update to 0.5.5

* Mon Feb 26 2018 Josh Stone <jistone@redhat.com> - 0.5.4-1
- Update to 0.5.4

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 22 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.3-1
- Update to 0.5.3

* Fri Jan 19 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.2-1
- Update to 0.5.2

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.1-1
- Update to 0.5.1

* Wed Jan 17 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.3-2
- Rebuild for rust-packaging v5

* Thu Jun 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.3-1
- Update to 0.4.3

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.2-2
- Port to use rust-packaging

* Wed Mar 08 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Sat Feb 25 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-1
- Initial package

